Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## eia.modelo
Class Efecto

    java.lang.Object
      eia.modelo.Efecto

All Implemented Interfaces:
  java.lang.Cloneable

    public class Efecto

extends java.lang.Object
implements java.lang.Cloneable

Clase que implementa un efecto/impacto ambiental.

Constructor Summary
`Efecto()` Constructor por defecto.
`Efecto(Accion accion, Factor factor, java.lang.String id, java.lang.String descripcion)` Constructor por parámetros.
`Efecto(Accion accion, Factor factor, java.lang.String id, java.lang.String descripcion, ValorJuicio juicio)` Constructor por parámetros.

Method Summary
`void` | `calcularValorTotal()` Función para calcular el valor total de impacto del efecto, estableciendo dicho valor en el atributo 'valorTotal'.
`java.lang.Object` | `clone()` Función para clonar el objeto Efecto.
`Accion` | `getAccion()` Accesor para el atributo 'accion'.
`CaracterEfecto` | `getCaracter()` Accesor para el atributo 'caracter'.
`java.lang.String` | `getDescripcion()` Accesor para el atributo 'descripcion'.
`Factor` | `getFactor()` Accesor para el atributo 'factor'.
`java.lang.String` | `getId()` Accesor para el atributo 'id'.
`ValorJuicio` | `getJuicio()` Accesor para el atributo 'juicio'.
`ValoracionCualitativa` | `getValCualitativa()` Accesor para el atributo 'valCualitativa'.
`ValoracionCuantitativa` | `getValCuantitativa()` Accesor para el atributo 'valCuantitativa'.
`double` | `getValorTotal()` Accesor para el atributo 'valorTotal'.
`void` | `setAccion(Accion accion)` Mutador para el atributo 'accion'.
`void` | `setCaracter(CaracterEfecto caracter)` Mutador para el atributo 'caracter'.
`void` | `setDescripcion(java.lang.String descripcion)` Mutador para el atributo 'descripcion'.
`void` | `setFactor(Factor factor)` Mutador para el atributo 'factor'.
`void` | `setId(java.lang.String id)` Mutador para el atributo 'id'.
`void` | `setJuicio(ValorJuicio juicio)` Mutador para el atributo 'juicio'.
`void` | `setValCualitativa(ValoracionCualitativa valCualitativa)` Mutador para el atributo 'valCualitativa'.
`void` | `setValCuantitativa(ValoracionCuantitativa valCuantitativa)` Mutador para el atributo 'valCuantitativa'.
`void` | `setValorTotal(double valorTotal)` Mutador para el atributo 'valorTotal'.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Efecto

    public Efecto()

  Constructor por defecto.

### Efecto

    public Efecto(Accion accion,
                  Factor factor,
                  java.lang.String id,
                  java.lang.String descripcion)

  Constructor por parámetros.

  Parameters:
    `accion` - Acción a asociar al efecto/impacto.
    `factor` - Factor a asociar al efecto/impacto.
    `id` - Nombre del efecto/impacto.
    `descripcion` - Descripcion del efecto/impacto.

### Efecto

    public Efecto(Accion accion,
                  Factor factor,
                  java.lang.String id,
                  java.lang.String descripcion,
                  ValorJuicio juicio)

  Constructor por parámetros.

  Parameters:
    `accion` - Acción a asociar al efecto/impacto.
    `factor` - Factor a asociar al efecto/impacto.
    `id` - Nombre del efecto/impacto.
    `descripcion` - Descripcion del efecto/impacto.
    `juicio` - Valor del efecto/impacto por simple enjuiciamiento.

Method Detail

### getAccion

    public Accion getAccion()

  Accesor para el atributo 'accion'.

  Returns:
    Acción asociada al efecto/impacto.

### setAccion

    public void setAccion(Accion accion)

  Mutador para el atributo 'accion'.

  Parameters:
    `accion` - Acción ambiental a asociar al efecto/impacto.

### getFactor

    public Factor getFactor()

  Accesor para el atributo 'factor'.

  Returns:
    Factor asociado al efecto/impacto.

### setFactor

    public void setFactor(Factor factor)

  Mutador para el atributo 'factor'.

  Parameters:
    `factor` - Factor a asociar al efecto/impacto.

### getId

    public java.lang.String getId()

  Accesor para el atributo 'id'.

  Returns:
    Nombre del efecto/impacto.

### setId

    public void setId(java.lang.String id)

  Mutador para el atributo 'id'.

  Parameters:
    `id` - Nombre a asociar al efecto/impacto.

### getDescripcion

    public java.lang.String getDescripcion()

  Accesor para el atributo 'descripcion'.

  Returns:
    Descripción del efecto/impacto.

### setDescripcion

    public void setDescripcion(java.lang.String descripcion)

  Mutador para el atributo 'descripcion'.

  Parameters:
    `descripcion` - Descripción a asociar al efecto/impacto.

### getJuicio

    public ValorJuicio getJuicio()

  Accesor para el atributo 'juicio'.

  Returns:
    Valor del efecto/impacto por simple enjuiciamiento.

### setJuicio

    public void setJuicio(ValorJuicio juicio)

  Mutador para el atributo 'juicio'.

  Parameters:
    `juicio` - Valor a asociar del efecto/impacto por simple enjuiciamiento.

### getValCualitativa

    public ValoracionCualitativa getValCualitativa()

  Accesor para el atributo 'valCualitativa'.

  Returns:
    Valoración cualitativa asociada al efecto/impacto.

### setValCualitativa

    public void setValCualitativa(ValoracionCualitativa valCualitativa)

  Mutador para el atributo 'valCualitativa'.

  Parameters:
    `valCualitativa` - Valoración cualitativa a asociar al efecto/impacto.

### getValCuantitativa

    public ValoracionCuantitativa getValCuantitativa()

  Accesor para el atributo 'valCuantitativa'.

  Returns:
    Valoración cuantitativa asociada al efecto/impacto.

### setValCuantitativa

    public void setValCuantitativa(ValoracionCuantitativa valCuantitativa)

  Mutador para el atributo 'valCuantitativa'.

  Parameters:
    `valCuantitativa` - Valoración cuantitativa a asociar al efecto/impacto.

### getValorTotal

    public double getValorTotal()

  Accesor para el atributo 'valorTotal'.

  Returns:
    Valor total del efecto/impacto.

### setValorTotal

    public void setValorTotal(double valorTotal)

  Mutador para el atributo 'valorTotal'.

  Parameters:
    `valorTotal` - Valor total del efecto/impacto a asociar.

### getCaracter

    public CaracterEfecto getCaracter()

  Accesor para el atributo 'caracter'.

  Returns:
    caracter Caracter de valoración del efecto/impacto.

### setCaracter

    public void setCaracter(CaracterEfecto caracter)

  Mutador para el atributo 'caracter'.

  Parameters:
    `caracter` - Caracter del efecto/impacto a asociar.

### calcularValorTotal

    public void calcularValorTotal()

  Función para calcular el valor total de impacto del efecto, estableciendo dicho valor en el atributo 'valorTotal'.

### clone

    public java.lang.Object clone()

  Función para clonar el objeto Efecto.

  Overrides:
    `clone` in class `java.lang.Object`
  Returns:
    Copia del objeto Efecto.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD